OVA-COMPOSE(1)

NAME
ova-compose - Create an Open Virtual Appliance (OVA) or OVF from a YAML configuration file

SYNOPSIS
ova-compose -i input_file -o output_file

DESCRIPTION
The ova-compose command generates an Open Virtual Appliance (OVA) or OVF package from a YAML configuration file. It is part of the open-vmdk suite and can produce either a single OVA file, just the OVF, or a directory containing the OVF, manifest, and associated virtual disk files.

OPTIONS

-i, --input_file input_file
    Specify the YAML configuration file to use.

-o, --output_file output_file
    Specify the output file or directory.

--format format
    Specify the output format: - ova → create an OVA file - ovf → create only an OVF file - dir → create a directory containing OVF, manifest, and device files If not provided, the format is guessed from the output file extension (`.ova` or `.ovf`).

--param key=value
    Set a parameter for the configuration. Multiple parameters can be specified.

--checksum-type sha256|sha512
    Set the checksum type for the manifest file. Default is sha256.

EXAMPLES

  Generate an OVA from a minimal configuration:

An example YAML file for ova-compose is installed in:
    /usr/share/doc/open-vmdk/examples/example.yaml

$ ova-compose  -i example.yaml -o example.ova --param rootdisk=example.vmdk

SEE ALSO
mkova (1), vmdk-convert (1), ovfenv (1)

AUTHOR
Written by Mégane Vilain <megane.vilain@gmail.com>

REPORTING BUGS
Report bugs to <https://github.com/vmware/open-vmdk/issues>.

COPYRIGHT
Copyright © 2025 Mégane Vilain Licensed under the Apache License, Version 2.0.